package org.springblade.openapi.wps.pojo.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 *  wps 回调接口错误枚举
 * @author bfhuange
 * @since 2024/11/26
 */
@AllArgsConstructor
@Getter
public enum Api4WpsError {
    /**
     *  服务处理正常
     */
    OK(0, "OK"),
    /**
     *  token过期
     */
    SESSION_EXPIRED(40002, "SessionExpired"),
    /**
     *  用户无权限访问
     */
    PERMISSION_DENIED(40003, "PermissionDenied"),
    /**
     *  资源不存在
     */
    NOT_EXISTS(40004, "NotExists"),
    /**
     *  参数错误
     */
    INVALID_ARGUMENT(40005, "InvalidArgument"),
    /**
     *  保存空间已满
     */
    SPACE_FULL(40006, "SpaceFull"),
    /**
     *  自定义错误提示，前端页面将显示此错误内容，在回调错误响应中的hint字段中自定义错误提示，该错误提示不支持多语言
     */
    CUSTOM_MSG(40007, "CustomMsg"),
    /**
     *  文件重命名冲突
     */
    FNAME_CONFLICT(40008, "FnameConflict"),
    /**
     *  对接系统错误
     */
    SERVER_ERROR(50001, "ServerError"),
    ;

    /**
     *  错误码
     */
    private final Integer code;
    /**
     *  信息
     */
    private final String message;
}
